org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectAndFrom

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectFrom

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectAndFrom
    extends SelectBuilder.SelectFrom

Builder exposing `SELECT` and `FROM` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectAndFrom` `distinct()` Makes the select statement distinct
`SelectBuilder.SelectFromAndJoin` `from(Collection<? extends Table> tables)` Declare one or more `Table`s to `SELECT … FROM`.
`SelectBuilder.SelectFromAndJoin` `from(String table)` Declare a `Table` to `SELECT … FROM`.
`SelectBuilder.SelectFromAndJoin` `from(Table... tables)` Declare one or more `Table`s to `SELECT … FROM`.
`SelectBuilder.SelectFromAndJoin` `from(Table table)` Declare a `Table` to `SELECT … FROM`.
`SelectBuilder.SelectFrom` `select(Collection<? extends Expression> expressions)` Include one or more `Expression`s in the select list.
`SelectBuilder.SelectFrom` `select(Expression... expressions)` Include one or more `Expression`s in the select list.
`SelectBuilder.SelectFrom` `select(Expression expression)` Include a `Expression` in the select list.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### select

    SelectBuilder.SelectFrom select(Expression expression)

Include a `Expression` in the select list. Multiple calls to this or other `select` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `expression` - the expression to include.
Returns:
  `this` builder.
See Also:
  `Table.column(String)`

#### select

    SelectBuilder.SelectFrom select(Expression... expressions)

Include one or more `Expression`s in the select list. Multiple calls to this or other `select` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `expressions` - the expressions to include.
Returns:
  `this` builder.
See Also:
  `Table.columns(String...)`

#### select

    SelectBuilder.SelectFrom select(Collection<? extends Expression> expressions)

Include one or more `Expression`s in the select list. Multiple calls to this or other `select` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `expressions` - the expressions to include.
Returns:
  `this` builder.
See Also:
  `Table.columns(String...)`

#### distinct

    SelectBuilder.SelectAndFrom distinct()

Makes the select statement distinct

Returns:
  `this` builder.

#### from

    SelectBuilder.SelectFromAndJoin from(String table)

Declare a `Table` to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Parameters:
  `table` - the table name to `SELECT … FROM` must not be null or empty.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndJoin from(Table table)

Declare a `Table` to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Parameters:
  `table` - the table to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndJoin from(Table... tables)

Declare one or more `Table`s to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Parameters:
  `tables` - the tables to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndJoin from(Collection<? extends Table> tables)

Declare one or more `Table`s to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Parameters:
  `tables` - the tables to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`